| Home | Libraries | People | FAQ | More

##### BOOST_GEOMETRY_REGISTER_MULTI_POLYGON_TEMPLATED

Macro to register a templated multi_polygon.

###### Description

The macro BOOST_GEOMETRY_REGISTER_MULTI_POLYGON_TEMPLATED registers a templated multi_polygon such that it is recognized by Boost.Geometry and that Boost.Geometry functionality can used with the specified type. The type must have one template parameter, which should be a polygon type, and should not be specified. Boost.Geometry takes care of inserting the template parameter. Hence all types of this templated multi_polygon are registered, regardless of their point type.

###### Synopsis

    #define BOOST_GEOMETRY_REGISTER_MULTI_POLYGON_TEMPLATED(MultiPolygon)

###### Parameters

Name | Description
--- | ---
MultiPolygon | multi_polygon (without template parameters) type to be registered

###### Header

`#include <boost/geometry/geometries/register/multi_polygon.hpp>`

###### Example

[register_multi_polygon_templated] [register_multi_polygon_templated_output]